# -*- coding: utf-8 -*-
#
# File: init.py
#
# Copyright (c) 2006 atReal
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """atReal <contact@atreal.net> : Matthias Broquet (tiazma)"""
__docformat__ = 'plaintext'
__licence__ = 'GPL'


from Products.CMFCore import utils as cmfutils

from Products.ARMailServices.config import *

from Products.CMFCore.DirectoryView import registerDirectory

registerDirectory(SKINS_DIR, GLOBALS)

def initialize(context):
  
#  all_content_types, all_constructors, all_ftis = process_types(
#    listTypes(PROJECTNAME),
#    PROJECTNAME)


  from tool import ARMailTool
  tools= (ARMailTool, )

  cmfutils.ToolInit('ARMail Tool', tools=tools,
      icon='tool.gif',
      ).initialize(context)
  
